Saltar al contenido
Guías
Plataforma e identidadTiendas
settings:update

Actualizar configuración de checkout

Replaces only the current store's checkout settings.

PUT/v1/stores/settings/checkout

Actualizar configuración de checkout. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/stores/settings/checkout" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "checkoutSettings": {      "general": {        "allowGuestCheckout": false,        "identityScope": "store"      },      "orderBumps": {        "allowOnlyOneAdditionalOffer": false,        "maxVisibleOffers": 1      },      "ordersAndPayments": {        "allowPurchasesFrom": "any",        "maximumItemsPerOrder": 1,        "deliveryNoteText": "Example note."      },      "abandonedCarts": {        "sendRecoveryEmail": false,        "delayHours": 1      }    }  }'
{  "id": "7204558912004325301",  "name": "Example resource",  "description": "Example description.",  "slug": "example-resource",  "domain": "example",  "logo": "example",  "favicon": "example",  "icon": "example",  "visibility": "public",  "timeZone": "America/Lima",  "currency": "PEN",  "language": "es",  "themeConfig": {    "name": "Example resource",    "mode": "example",    "colors": {      "key": "example"    },    "fonts": {      "key": "example"    },    "assets": {      "key": "example"    }  },  "featuresEnabled": {    "flags": {      "key": false    }  },  "checkoutSettings": {    "general": {      "allowGuestCheckout": false,      "identityScope": "store"    },    "orderBumps": {      "allowOnlyOneAdditionalOffer": false,      "maxVisibleOffers": 1    },    "ordersAndPayments": {      "allowPurchasesFrom": "any",      "maximumItemsPerOrder": 1,      "deliveryNoteText": "Example note."    },    "abandonedCarts": {      "sendRecoveryEmail": false,      "delayHours": 1    }  }}